vcs_agents-sles9_x86_64-VRTSvcsor-5.0MP2HF1
Obsolete
The latest patch(es) : sfha-sles9_x86_64-5.0MP4 

 Basic information
Release type: Hot Fix
Release date: 2009-09-29
OS update support: None
Technote: None
Documentation: None
Popularity: 317 viewed    0 downloaded
Download size: 855.86 KB
Checksum: 3576128720

 Applies to one or more of the following products:
Cluster Server 5.0MP2 On SLES9 i586
Storage Foundation Cluster File System for Oracle RAC 5.0MP2 On SLES9 x86-64
Storage Foundation for Oracle 5.0MP2 On SLES9 x86-64

 Obsolete patches, incompatibilities, superseded patches, or other requirements:

This patch is obsolete. It is superseded by: Release date
sfha-sles9_x86_64-5.0MP4 2010-04-11

 Fixes the following incidents:
1838034

 Patch ID:
VRTSvcsor-5.0.20.01-MP2HF1_SLES9

Readme file
OS: Linux
OS Version: SLES9 (i586/x86_64)
Fixes Applied for Products:
	VRTSvcsor - Veritas High Availability Agent for Oracle by Symantec 

Additional Instructions:
Please read the instructions below before installing the patch.

   PATCH VRTSvcsor 5.0MP2HF1 for VCS Oracle Agent 5.0MP2
===============================================================

 Patch Date:  September, 2009

This README provides information on:
 * BEFORE GETTING STARTED
 * CRC AND BYTE COUNT
 * FIXES AND ENHANCEMENTS INCLUDED IN THE PATCH
 * PACKAGES AFFECTED BY THE PATCH
 * INSTALLING THE PATCH
 * UNINSTALLING THE PATCH


BEFORE GETTING STARTED:
----------------------
This patch only applies to:
	VRSTvcsor 5.0MP2 or higher running on SLES9 (i586/x86_64)

Ensure that you are running the supported configurations before
installing this patch.


CRC AND BYTE COUNT:
------------------
Ensure that the patch file you have downloaded matches the following
checksum and byte count.

The following command can be used to ascertain this:
# cksum VRTSvcsor-5.0.20.01-MP2HF1_SLES9.i586.rpm
1947040988	880665	VRTSvcsor-5.0.20.01-MP2HF1_SLES9.i586.rpm


FIXES AND ENHANCEMENTS INCLUDED IN THE PATCH: 
--------------------------------------------
Etrack Incidents: 1838034

SDR's of Fixed Symantec Incidents:
--------------------------------
Symantec Incident : 1838034
Symptom:
	When many processes are running on the system with substing "_SID", 
	the agent will not be able to detect whether Oracle instance 
	in online or not.
Defect Description:
	With many processes running with a substring "_SID", the agent 
	when tries to come online might not be able to capture the running 
	oracle processes, due to its buffer's size limit of 4096 bytes. 
Resolution:
	Now the problem is fixed by searching for only Oracle 
	instance processes.

PACKAGES AFFECTED BY THE PATCH:
-------------------------------
This patch updates the following VCS package(s) 
    VRTSvcsor from 5.0MP2 (5.0.20.0) or higher to 5.0MP2HF1 (5.0.20.01)


INSTALLING THE PATCH:
--------------------
The following steps should be run on all nodes in the VCS cluster:

Stopping VCS on the cluster node:
--------------------------------
Stop Oracle and Netlsnr agents using: 
	# haagent -stop Oracle -sys [system_name] -force
	# haagent -stop Netlsnr -sys [system_name] -force

Installing the Patch:
--------------------
1. Un-compress the downloaded patch from Symantec.
   Change directory to the unzipped patch location. 
   Install the VRTSvcsor patch using the following command:
	# rpm -Uvh VRTSvcsor-5.0.20.01-MP2HF1_SLES9.i586.rpm

2. Verify that the new patch has been installed:
	# rpm -q VRTSvcsor
   You will find the following output on display with the patch 
   installed properly:
	VRTSvcsor-5.0.20.01-MP2HF1

Re-starting VCS on the cluster node:
-----------------------------------
Start Oracle & Netlsnr agents using 
	# haagent -start Oracle -sys [system_name]
	# haagent -start Netlsnr -sys [system_name]


UNINSTALLING THE PATCH:
-----------------------
Removal of the patch will result in removing whole package from 
the system/node. To go back to a previous installed version of 
the package, you may need to re-install the package again. 
Following steps need to be run on all nodes :

Steps to remove the Patch from a cluster node:
---------------------------------------------
1. Follow the steps provided under "Stopping VCS on the cluster node" 
   section above.

2. Remove the patch by the following command:
	# rpm -e VRTSvcsor

3. Verify that the patch has been removed from the system:
	# rpm -qa | grep VRTSvcsor
   The package VRTSvcsor should not be displayed, which confirms 
   that the package is removed.

4. Install VRTSvcsor package from VCS 5.0MP2 Installer CD/DVD
   or higher.

5. Restart the node following the steps under 
   "Re-starting VCS on the cluster node" section above.
Read and accept Terms of Service